## org.firebirdsql.gds.impl.wire
Class JavaGDSImpl

    java.lang.Object
      org.firebirdsql.gds.impl.AbstractGDS
          org.firebirdsql.gds.impl.wire.AbstractJavaGDSImpl
              org.firebirdsql.gds.impl.wire.JavaGDSImpl

All Implemented Interfaces:
  Externalizable, Serializable, GDS

    public class JavaGDSImpl

extends AbstractJavaGDSImpl

Implements JDK1.4+ specific socket creation. This is necessary because of a bug found in the JDK1.4 and is / will not be fixed until JDK7.0. See bug details: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5092063

Author:
  Steve Jardine
See Also:
  Serialized Form

Nested Class Summary

Nested classes/interfaces inherited from class org.firebirdsql.gds.impl.wire.AbstractJavaGDSImpl
`AbstractJavaGDSImpl.DbAttachInfo`

Field Summary

Fields inherited from class org.firebirdsql.gds.impl.wire.AbstractJavaGDSImpl
`PURE_JAVA_TYPE_NAME`

Constructor Summary
`JavaGDSImpl()`

Method Summary
`Socket` `getSocket(String server, int port)` Returns a newly created socket.

Methods inherited from class org.firebirdsql.gds.impl.wire.AbstractJavaGDSImpl

`calculateBLR, calculateIOLength, connect, connect, createBlobParameterBuffer, createDatabaseParameterBuffer, createEventHandle, createIscBlobHandle, createIscDbHandle, createIscStmtHandle, createIscSvcHandle, createIscTrHandle, createServiceParameterBuffer, createServiceRequestBuffer, disconnect, getSqlCounts, internalAttachDatabase, internalAttachDatabase, isc_dsql_alloc_statement2, iscAttachDatabase, iscBlobInfo, iscCancelEvents, iscCloseBlob, iscCommitRetaining, iscCommitTransaction, iscCreateBlob2, iscCreateDatabase, iscDatabaseInfo, iscDetachDatabase, iscDropDatabase, iscDsqlAllocateStatement, iscDsqlDescribe, iscDsqlDescribeBind, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecImmed2, iscDsqlExecute, iscDsqlExecute2, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlExecuteImmediate, iscDsqlFetch, iscDsqlFreeStatement, iscDsqlPrepare, iscDsqlPrepare, iscDsqlPrepare, iscDsqlSetCursorName, iscDsqlSqlInfo, iscEventBlock, iscEventCounts, iscExpandDpb, iscGetSegment, iscInteger, iscOpenBlob2, iscPrepareTransaction, iscPrepareTransaction2, iscPutSegment, iscQueueEvents, iscReconnectTransaction, iscRollbackRetaining, iscRollbackTransaction, iscSeekBlob, iscServiceAttach, iscServiceDetach, iscServiceQuery, iscServiceStart, iscStartTransaction, iscTransactionInformation, iscVaxInteger, newTransactionParameterBuffer, nextOperation, nextOperation, openSocket, receiveResponse, receiveResponse`

Methods inherited from class org.firebirdsql.gds.impl.AbstractGDS
`close, getGdsType, getType, readExternal, readResolve, writeExternal`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.firebirdsql.gds.GDS
`close`

Constructor Detail

### JavaGDSImpl

    public JavaGDSImpl()

Method Detail

### getSocket

    public Socket getSocket(String server,
                            int port)
                     throws IOException,
                            UnknownHostException

  Description copied from class: `AbstractJavaGDSImpl`
  Returns a newly created socket. This abstract method is necessary because of a bug found in the JDK5.0 socket implementation. JDK1.4+ has an acceptable work around. See bug details: http://bugs.sun.com/bugdatabase/view_bug.do?bug_id=5092063

  Specified by:
    `getSocket` in class `AbstractJavaGDSImpl`
  Parameters:
    `server` - The server string.
    `port` - The port to connect to.
  Returns:
    A valid socket.
  Throws:
    `IOException`
    `UnknownHostException`

Copyright © 2001-2010. All Rights Reserved.